
Name: gtkspell
Version: 2.0.16
Release:    1%{?dist}
License: GPL-2.0-or-later
Summary: On-the-fly spell checking for GtkTextView widgets
URL: http://gtkspell.sourceforge.net/
Source0: http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz


BuildRequires: gcc
BuildRequires: make
BuildRequires: enchant-devel
BuildRequires: gtk2-devel
BuildRequires: gettext
BuildRequires: intltool

%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

%package devel
Summary: Development files for GtkSpell
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: pkgconfig

%description devel
The gtkspell-devel package provides header files for developing
applications which use GtkSpell.

%prep
%setup -q

%build
%configure --disable-gtk-doc --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name "*.la" -exec rm {} \;

%find_lang %{name}


%files -f %{name}.lang
%doc README AUTHORS COPYING
%{_libdir}/libgtkspell.so.0*

%files devel
%{_datadir}/gtk-doc/html/gtkspell
%{_includedir}/gtkspell-2.0
%{_libdir}/libgtkspell.so
%{_libdir}/pkgconfig/gtkspell-2.0.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.16-1
- initial build
